.memorization-slot {
    font-size: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px groove;
    border-radius: 2px;
    margin-top: 1px;
    margin-bottom: 1px;
    margin-right: 2px;
    margin-left: 2px;
    text-align: center;

    .memorization-slot-empty {
        select {
            background-color: rgba(43, 255, 0, 0.25);
        }
    }

    // .long-spell-field, .short-spell-field {
    //   border-right: 1px groove black;
    // }
    .short-spell-field {
        flex-grow: 0;
        text-align: center;
        flex-basis: 40px;
        flex-grow: 0;
        text-align: left;
    }
    .long-spell-field {
        flex-grow: 2;
        margin-right: 3px;
        text-align: center;
    }
}

/* little tweak to make the row look better when the slot is empty */
.memorization-slot[data-id=''][data-uuid=''] {
    background: transparent !important;
    border: none !important;
}

// div.action-buttons-menu.hud-mini-popup > div > div > div > div > li.memorization-used {
//     opacity: 0.5;
// }
// I dont like using !important but this works and is more simple than the commented above this
// any ides Spencer ?
// .action-buttons-menu .memorization-used {
//     opacity: 0.5 !important;
// }

.memorization-used {
    opacity: 0.5;
}

.memorization-titles {
    align-content: center;
    margin: 0px;
    padding: 0px;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.1);
}

.memorization-controls {
    flex: 0 0 80px;
    text-align: right;
    margin-right: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.effect-controls {
    flex: 0 0 10px;
    text-align: right;
    margin-right: 5px;
}

.biography {
    border: 1px groove;
    border-radius: 5px;
    // max-width: calc(100% - 180px);
    height: 100%;
    width: 100%;
    max-height: 100%;
    max-width: 100%;
}

.details-header {
    .resource-save {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

// .character {
//   .header {
//     .title {
//       align-content: center;
//       margin: 1px 0;
//       padding: 0;
//       font-weight: bold;
//       background-color: $c-mid;
//     }
//   }
// }

.character,
.npc,
.lootable {
    // tab items, icons centered above text
    .tab-item {
        display: inline-block;
        text-align: center;
        text-decoration: none;
        color: inherit;

        .icon-text-container {
            display: inline-block;
            text-align: center;
        }

        .fas {
            display: block;
        }
    }

    .npc-header-fields {
        display: flex; /* Use flexbox to align items horizontally */
        align-items: center; /* Vertically align input and icon */
        gap: 8px; /* Add space between input and icon */
    }

    .generate-random-name i {
        white-space: nowrap; /* Ensure the icon never wraps */
        font-size: 1rem; /* Adjust size as needed */
        color: inherit; /* Keep consistent styling with the parent */
        cursor: pointer; /* Show pointer cursor for the icon */
    }

    .actorname {
        font-size: 2em;
        flex: 1; /* Make input take all available space */
        margin-right: 8px; /* Optional: Extra space to ensure no overlap */
    }
    .race-background-block {
        .itemsbytype-align-title {
            text-align: center;
        }
    }

    .actor-titles.center {
        text-align: center;
    }

    .actor-titles {
        list-style: none;
        margin: 0px;
        padding: 3px;
        background: var(--color-border-light-primary);
        font-weight: 600;

        .actor-header {
            font-weight: bold;
            background-color: $c-mid;
        }

        .actor-image {
            flex: 0 0 24px;
            height: 24px;
            background-size: 24px;
            border: none;
            margin-right: 5px;
            flex-shrink: 1;
        }

        .actor {
            height: 25px;
            line-height: 24px;
            padding: 1px 0;
            border-bottom: 1px solid #bbb;

            .actor-name {
                flex: 2;
                margin: 0;
                overflow: hidden;
                font-size: 1.01em;
                text-align: left;
                align-items: center;
                font-weight: 600;
            }
        }
    }

    .share-looted-coins {
        // flex-basis: 24px;
        // flex-grow: 0;
        text-align: center;
        font-size: 1.02em;
    }

    .actor-lootable-portrait {
        flex: 0 0 64px;
    }
    .currency {
        .coin-value {
            flex-grow: 3;
            text-align: center;
            font-size: 1.5em;
        }

        .control {
            flex-shrink: 2;
        }

        .coin-type {
            flex-shrink: 1;
        }
    }
} // end character/npc

//properties for items, actors and actions
.item-sheet,
.action-sheet,
.npc-sheet,
.character-sheet {
    .general-properties-column {
        display: flex;
        flex-direction: row; /* Align items horizontally */
        flex-wrap: wrap; /* Allow items to wrap to the next line */
        margin: 5px;
        text-align: center;
        // box-sizing: border-box;
        // max-width: 100%;

        .flexrow {
            flex: 1 1 100px; /* Adjust this value based on desired number of columns / item width */
            margin: 5px; /* Adjust spacing between items */
            box-sizing: border-box;
            // text-align: center;
            align-items: center;
            background: white;
            /* Additional styling as needed */
            input {
                border: none;
            }
            border: 1px solid black;
            .general-properties-controls {
                font-size: 1.5em;
            }
        }
    }
}

// .hud-mini-popup {
//     padding: 1px;
//     margin: 1px;
// }
